\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types | Public Member Functions
ArrTrimTraits_2 Class Reference

`#include <Concepts/ArrTrimTraits_2.h>`

## Public Types
typedef ArrTraits::X_monotone_curve_2 | X_monotone_curve_2
typedef ArrTraits::Point_2 | Point_2

## Public Member Functions
X_monotone_curve_2 | operator() (X_monotone_curve_2 xcv, Point_2 p1, Point_2 p2)
| returns an \( x\)-monotone trimmed version \( x\)-monotone connecting `p1` and `p2` (i.e., the two input points are its endpoints).